# Form implementation generated from reading ui file 'src/eric7/MultiProject/AddProjectDialog.ui'
#
# Created by: PyQt6 UI code generator 6.7.0
#
# WARNING: Any manual changes made to this file will be lost when pyuic6 is
# run again.  Do not edit this file unless you know what you are doing.


from PyQt6 import QtCore, QtGui, QtWidgets


class Ui_AddProjectDialog(object):
    def setupUi(self, AddProjectDialog):
        AddProjectDialog.setObjectName("AddProjectDialog")
        AddProjectDialog.resize(569, 378)
        AddProjectDialog.setSizeGripEnabled(True)
        self.gridLayout = QtWidgets.QGridLayout(AddProjectDialog)
        self.gridLayout.setObjectName("gridLayout")
        self.label = QtWidgets.QLabel(parent=AddProjectDialog)
        self.label.setObjectName("label")
        self.gridLayout.addWidget(self.label, 0, 0, 1, 1)
        self.nameEdit = QtWidgets.QLineEdit(parent=AddProjectDialog)
        self.nameEdit.setObjectName("nameEdit")
        self.gridLayout.addWidget(self.nameEdit, 0, 1, 1, 1)
        self.label_2 = QtWidgets.QLabel(parent=AddProjectDialog)
        self.label_2.setObjectName("label_2")
        self.gridLayout.addWidget(self.label_2, 1, 0, 1, 1)
        self.filenamePicker = EricPathPicker(parent=AddProjectDialog)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Policy.Expanding, QtWidgets.QSizePolicy.Policy.Preferred)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.filenamePicker.sizePolicy().hasHeightForWidth())
        self.filenamePicker.setSizePolicy(sizePolicy)
        self.filenamePicker.setFocusPolicy(QtCore.Qt.FocusPolicy.StrongFocus)
        self.filenamePicker.setObjectName("filenamePicker")
        self.gridLayout.addWidget(self.filenamePicker, 1, 1, 1, 1)
        self.label_3 = QtWidgets.QLabel(parent=AddProjectDialog)
        self.label_3.setAlignment(QtCore.Qt.AlignmentFlag.AlignLeading|QtCore.Qt.AlignmentFlag.AlignLeft|QtCore.Qt.AlignmentFlag.AlignTop)
        self.label_3.setObjectName("label_3")
        self.gridLayout.addWidget(self.label_3, 2, 0, 1, 1)
        self.descriptionEdit = EricSpellCheckedTextEdit(parent=AddProjectDialog)
        self.descriptionEdit.setTabChangesFocus(True)
        self.descriptionEdit.setAcceptRichText(False)
        self.descriptionEdit.setObjectName("descriptionEdit")
        self.gridLayout.addWidget(self.descriptionEdit, 2, 1, 1, 1)
        self.label_4 = QtWidgets.QLabel(parent=AddProjectDialog)
        self.label_4.setObjectName("label_4")
        self.gridLayout.addWidget(self.label_4, 3, 0, 1, 1)
        self.categoryComboBox = QtWidgets.QComboBox(parent=AddProjectDialog)
        self.categoryComboBox.setEditable(True)
        self.categoryComboBox.setObjectName("categoryComboBox")
        self.gridLayout.addWidget(self.categoryComboBox, 3, 1, 1, 1)
        self.mainCheckBox = QtWidgets.QCheckBox(parent=AddProjectDialog)
        self.mainCheckBox.setObjectName("mainCheckBox")
        self.gridLayout.addWidget(self.mainCheckBox, 4, 0, 1, 2)
        self.buttonBox = QtWidgets.QDialogButtonBox(parent=AddProjectDialog)
        self.buttonBox.setOrientation(QtCore.Qt.Orientation.Horizontal)
        self.buttonBox.setStandardButtons(QtWidgets.QDialogButtonBox.StandardButton.Cancel|QtWidgets.QDialogButtonBox.StandardButton.Ok)
        self.buttonBox.setObjectName("buttonBox")
        self.gridLayout.addWidget(self.buttonBox, 5, 0, 1, 2)
        self.label.setBuddy(self.nameEdit)
        self.label_2.setBuddy(self.filenamePicker)
        self.label_3.setBuddy(self.descriptionEdit)
        self.label_4.setBuddy(self.categoryComboBox)

        self.retranslateUi(AddProjectDialog)
        self.buttonBox.accepted.connect(AddProjectDialog.accept) # type: ignore
        self.buttonBox.rejected.connect(AddProjectDialog.reject) # type: ignore
        QtCore.QMetaObject.connectSlotsByName(AddProjectDialog)
        AddProjectDialog.setTabOrder(self.nameEdit, self.filenamePicker)
        AddProjectDialog.setTabOrder(self.filenamePicker, self.descriptionEdit)
        AddProjectDialog.setTabOrder(self.descriptionEdit, self.categoryComboBox)
        AddProjectDialog.setTabOrder(self.categoryComboBox, self.mainCheckBox)

    def retranslateUi(self, AddProjectDialog):
        _translate = QtCore.QCoreApplication.translate
        AddProjectDialog.setWindowTitle(_translate("AddProjectDialog", "Add Project"))
        self.label.setText(_translate("AddProjectDialog", "&Name:"))
        self.nameEdit.setToolTip(_translate("AddProjectDialog", "Enter the name of the project"))
        self.label_2.setText(_translate("AddProjectDialog", "Project&file:"))
        self.filenamePicker.setToolTip(_translate("AddProjectDialog", "Enter the name of the project file"))
        self.label_3.setText(_translate("AddProjectDialog", "&Description:"))
        self.descriptionEdit.setToolTip(_translate("AddProjectDialog", "Enter a short description for the project"))
        self.label_4.setText(_translate("AddProjectDialog", "&Category:"))
        self.categoryComboBox.setToolTip(_translate("AddProjectDialog", "Select a project category"))
        self.mainCheckBox.setToolTip(_translate("AddProjectDialog", "Select to make this project the main project"))
        self.mainCheckBox.setText(_translate("AddProjectDialog", "Is &main project"))
from eric7.EricWidgets.EricPathPicker import EricPathPicker
from eric7.EricWidgets.EricSpellCheckedTextEdit import EricSpellCheckedTextEdit
